//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-558 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.21 at 11:49:29 AM CST 
//


package com.bsb.fop.wsdl.product;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ProductInventory complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProductInventory">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="BackOrderInStockDRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="BackOrderInStockQuantity" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="BackOrderInStockSRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="BackOrderOutOfStockDRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="BackOrderOutOfStockQuantity" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="BackOrderOutOfStockSRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="FromCache" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="InStockDRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="InStockDropshipDRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="InStockDropshipQuantity" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="InStockDropshipSRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="InStockExpressDRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="InStockQuantity" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="InStockSRD" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="IsBackorderRemindMe" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="IsDropship" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="SKU" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SubstitutionOfferCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SubstitutionSkuOrKitCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SubstitutionTypeName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProductInventory", propOrder = {
    "backOrderInStockDRD",
    "backOrderInStockQuantity",
    "backOrderInStockSRD",
    "backOrderOutOfStockDRD",
    "backOrderOutOfStockQuantity",
    "backOrderOutOfStockSRD",
    "fromCache",
    "inStockDRD",
    "inStockDropshipDRD",
    "inStockDropshipQuantity",
    "inStockDropshipSRD",
    "inStockExpressDRD",
    "inStockQuantity",
    "inStockSRD",
    "isBackorderRemindMe",
    "isDropship",
    "sku",
    "substitutionOfferCode",
    "substitutionSkuOrKitCode",
    "substitutionTypeName"
})
public class ProductInventory {

    @XmlElement(name = "BackOrderInStockDRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar backOrderInStockDRD;
    @XmlElement(name = "BackOrderInStockQuantity")
    protected Integer backOrderInStockQuantity;
    @XmlElement(name = "BackOrderInStockSRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar backOrderInStockSRD;
    @XmlElement(name = "BackOrderOutOfStockDRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar backOrderOutOfStockDRD;
    @XmlElement(name = "BackOrderOutOfStockQuantity")
    protected Integer backOrderOutOfStockQuantity;
    @XmlElement(name = "BackOrderOutOfStockSRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar backOrderOutOfStockSRD;
    @XmlElement(name = "FromCache")
    protected Integer fromCache;
    @XmlElement(name = "InStockDRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar inStockDRD;
    @XmlElement(name = "InStockDropshipDRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar inStockDropshipDRD;
    @XmlElement(name = "InStockDropshipQuantity")
    protected Integer inStockDropshipQuantity;
    @XmlElement(name = "InStockDropshipSRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar inStockDropshipSRD;
    @XmlElement(name = "InStockExpressDRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar inStockExpressDRD;
    @XmlElement(name = "InStockQuantity")
    protected Integer inStockQuantity;
    @XmlElement(name = "InStockSRD")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar inStockSRD;
    @XmlElement(name = "IsBackorderRemindMe")
    protected Boolean isBackorderRemindMe;
    @XmlElement(name = "IsDropship")
    protected Boolean isDropship;
    @XmlElementRef(name = "SKU", namespace = "http://Fingerhut.Services", type = JAXBElement.class)
    protected JAXBElement<String> sku;
    @XmlElementRef(name = "SubstitutionOfferCode", namespace = "http://Fingerhut.Services", type = JAXBElement.class)
    protected JAXBElement<String> substitutionOfferCode;
    @XmlElementRef(name = "SubstitutionSkuOrKitCode", namespace = "http://Fingerhut.Services", type = JAXBElement.class)
    protected JAXBElement<String> substitutionSkuOrKitCode;
    @XmlElementRef(name = "SubstitutionTypeName", namespace = "http://Fingerhut.Services", type = JAXBElement.class)
    protected JAXBElement<String> substitutionTypeName;

    /**
     * Gets the value of the backOrderInStockDRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getBackOrderInStockDRD() {
        return backOrderInStockDRD;
    }

    /**
     * Sets the value of the backOrderInStockDRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setBackOrderInStockDRD(XMLGregorianCalendar value) {
        this.backOrderInStockDRD = value;
    }

    /**
     * Gets the value of the backOrderInStockQuantity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getBackOrderInStockQuantity() {
        return backOrderInStockQuantity;
    }

    /**
     * Sets the value of the backOrderInStockQuantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setBackOrderInStockQuantity(Integer value) {
        this.backOrderInStockQuantity = value;
    }

    /**
     * Gets the value of the backOrderInStockSRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getBackOrderInStockSRD() {
        return backOrderInStockSRD;
    }

    /**
     * Sets the value of the backOrderInStockSRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setBackOrderInStockSRD(XMLGregorianCalendar value) {
        this.backOrderInStockSRD = value;
    }

    /**
     * Gets the value of the backOrderOutOfStockDRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getBackOrderOutOfStockDRD() {
        return backOrderOutOfStockDRD;
    }

    /**
     * Sets the value of the backOrderOutOfStockDRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setBackOrderOutOfStockDRD(XMLGregorianCalendar value) {
        this.backOrderOutOfStockDRD = value;
    }

    /**
     * Gets the value of the backOrderOutOfStockQuantity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getBackOrderOutOfStockQuantity() {
        return backOrderOutOfStockQuantity;
    }

    /**
     * Sets the value of the backOrderOutOfStockQuantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setBackOrderOutOfStockQuantity(Integer value) {
        this.backOrderOutOfStockQuantity = value;
    }

    /**
     * Gets the value of the backOrderOutOfStockSRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getBackOrderOutOfStockSRD() {
        return backOrderOutOfStockSRD;
    }

    /**
     * Sets the value of the backOrderOutOfStockSRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setBackOrderOutOfStockSRD(XMLGregorianCalendar value) {
        this.backOrderOutOfStockSRD = value;
    }

    /**
     * Gets the value of the fromCache property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFromCache() {
        return fromCache;
    }

    /**
     * Sets the value of the fromCache property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFromCache(Integer value) {
        this.fromCache = value;
    }

    /**
     * Gets the value of the inStockDRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getInStockDRD() {
        return inStockDRD;
    }

    /**
     * Sets the value of the inStockDRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setInStockDRD(XMLGregorianCalendar value) {
        this.inStockDRD = value;
    }

    /**
     * Gets the value of the inStockDropshipDRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getInStockDropshipDRD() {
        return inStockDropshipDRD;
    }

    /**
     * Sets the value of the inStockDropshipDRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setInStockDropshipDRD(XMLGregorianCalendar value) {
        this.inStockDropshipDRD = value;
    }

    /**
     * Gets the value of the inStockDropshipQuantity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getInStockDropshipQuantity() {
        return inStockDropshipQuantity;
    }

    /**
     * Sets the value of the inStockDropshipQuantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setInStockDropshipQuantity(Integer value) {
        this.inStockDropshipQuantity = value;
    }

    /**
     * Gets the value of the inStockDropshipSRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getInStockDropshipSRD() {
        return inStockDropshipSRD;
    }

    /**
     * Sets the value of the inStockDropshipSRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setInStockDropshipSRD(XMLGregorianCalendar value) {
        this.inStockDropshipSRD = value;
    }

    /**
     * Gets the value of the inStockExpressDRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getInStockExpressDRD() {
        return inStockExpressDRD;
    }

    /**
     * Sets the value of the inStockExpressDRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setInStockExpressDRD(XMLGregorianCalendar value) {
        this.inStockExpressDRD = value;
    }

    /**
     * Gets the value of the inStockQuantity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getInStockQuantity() {
        return inStockQuantity;
    }

    /**
     * Sets the value of the inStockQuantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setInStockQuantity(Integer value) {
        this.inStockQuantity = value;
    }

    /**
     * Gets the value of the inStockSRD property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getInStockSRD() {
        return inStockSRD;
    }

    /**
     * Sets the value of the inStockSRD property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setInStockSRD(XMLGregorianCalendar value) {
        this.inStockSRD = value;
    }

    /**
     * Gets the value of the isBackorderRemindMe property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isIsBackorderRemindMe() {
        return isBackorderRemindMe;
    }

    /**
     * Sets the value of the isBackorderRemindMe property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIsBackorderRemindMe(Boolean value) {
        this.isBackorderRemindMe = value;
    }

    /**
     * Gets the value of the isDropship property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isIsDropship() {
        return isDropship;
    }

    /**
     * Sets the value of the isDropship property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIsDropship(Boolean value) {
        this.isDropship = value;
    }

    /**
     * Gets the value of the sku property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getSKU() {
        return sku;
    }

    /**
     * Sets the value of the sku property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setSKU(JAXBElement<String> value) {
        this.sku = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the substitutionOfferCode property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getSubstitutionOfferCode() {
        return substitutionOfferCode;
    }

    /**
     * Sets the value of the substitutionOfferCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setSubstitutionOfferCode(JAXBElement<String> value) {
        this.substitutionOfferCode = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the substitutionSkuOrKitCode property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getSubstitutionSkuOrKitCode() {
        return substitutionSkuOrKitCode;
    }

    /**
     * Sets the value of the substitutionSkuOrKitCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setSubstitutionSkuOrKitCode(JAXBElement<String> value) {
        this.substitutionSkuOrKitCode = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the substitutionTypeName property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getSubstitutionTypeName() {
        return substitutionTypeName;
    }

    /**
     * Sets the value of the substitutionTypeName property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setSubstitutionTypeName(JAXBElement<String> value) {
        this.substitutionTypeName = ((JAXBElement<String> ) value);
    }

}
